//------------------------------------------------------------------------
//
// OpenDCC - OpenDecoder
//
// Copyright (c) 2007 Kufer
//
// This source file is subject of the GNU general public license 2,
// that is available at the world-wide-web at
// http://www.gnu.org/licenses/gpl.txt
// 
//------------------------------------------------------------------------
//
// file:      port_engine.h
// author:    Wolfgang Kufer
// contact:   kufer@gmx.de
// webpage:   http://www.opendcc.de
// history:   2007-02-14 V0.1 kw copied from opendecoder.c
//
//------------------------------------------------------------------------
//
// purpose:   flexible general purpose decoder for dcc
//            here: hardware defintions
//
//
//------------------------------------------------------------------------

// performs the command 

void port_action(unsigned int Command, unsigned char Activate);

void action(unsigned int Command, unsigned char Activate);

void init_dimm_engine(void);

void simple_preset(unsigned char command);

void dimmer(void);

extern unsigned char CurrentTarget;
extern unsigned char hauptsignal_state;
extern unsigned char vorsignal_state;



// general support routines

void turn_led_on(void);
  
void turn_led_off(void);
  
void flash_led_fast(unsigned char count);

unsigned char check_position(unsigned char myCommand);

void local_alarm(unsigned char count);
